Package javassist.bytecode

# Class SignatureAttribute.TypeParameter

java.lang.Object
javassist.bytecode.SignatureAttribute.TypeParameter

Enclosing class:
  `SignatureAttribute`

public static class SignatureAttribute.TypeParameter extends Object
Formal type parameters.

See Also:
  - `SignatureAttribute.TypeArgument`

## Constructor Summary

Constructors
Constructor
Description
`TypeParameter(String name)`
Constructs a `TypeParameter` representing a type parameter like `<T>`.
`TypeParameter(String name, SignatureAttribute.ObjectType superClass, SignatureAttribute.ObjectType[] superInterfaces)`
Constructs a `TypeParameter` representing a type parametre like `<T extends ...`

## Method Summary

Modifier and Type
Method
Description
`SignatureAttribute.ObjectType`
`getClassBound()`
Returns the class bound of this parameter.
`SignatureAttribute.ObjectType[]`
`getInterfaceBound()`
Returns the interface bound of this parameter.
`String`
`getName()`
Returns the name of the type parameter.
`String`
`toString()`
Returns the string representation.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TypeParameter

public TypeParameter(String name, SignatureAttribute.ObjectType superClass, SignatureAttribute.ObjectType[] superInterfaces)
Constructs a `TypeParameter` representing a type parametre like `<T extends ... >`.

Parameters:
  `name` - parameter name.
  `superClass` - an upper bound class-type (or null).
  `superInterfaces` - an upper bound interface-type (or null).

### TypeParameter

public TypeParameter(String name)
Constructs a `TypeParameter` representing a type parameter like `<T>`.

Parameters:
  `name` - parameter name.

## Method Details

### getName

public String getName()
Returns the name of the type parameter.

### getClassBound

public SignatureAttribute.ObjectType getClassBound()
Returns the class bound of this parameter.

### getInterfaceBound

public SignatureAttribute.ObjectType[] getInterfaceBound()
Returns the interface bound of this parameter.

Returns:
  a zero-length array if the interface bound is not specified.

### toString

public String toString()
Returns the string representation.

Overrides:
  `toString` in class `Object`